"""Run task for humanoid robots."""

from metasim.cfg.checkers import RunChecker
from metasim.utils import configclass

from .base_metacfg import BaseLocomotionReward, HumanoidTaskMetaCfg


class RunReward(BaseLocomotionReward):
    """Reward function for the run task."""

    _move_speed = 5
    success_bar = 700


@configclass
class RunMetaCfg(HumanoidTaskMetaCfg):
    """Run task for humanoid robots."""

    episode_length = 1000
    traj_filepath = "roboverse_data/trajs/humanoidbench/run/v2/initial_state_v2.json"
    checker = RunChecker()
    reward_functions = [RunReward]
    reward_weights = [1.0]
